Docs

Reference

View an automation rule

One automation rule with its current revision and the latest fires (actions done / failed, loop-guard skips).

View MarkdownThis page is generated from the source code on every release.

One automation rule with its current revision and the latest fires (actions done / failed, loop-guard skips).

Overview

Name Value
Code rules.get
Scope needed accounts.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, viewer
In the app Automation → Rules → open a rule

Input fields

Field Type Required Description
id uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/rules.get \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
rule object Yes
revision number Yes
fires object[] Yes

Example answer

{
  "data": {
    "rule": {
      "id": "00000000-0000-4000-8000-000000000000",
      "name": "text",
      "enabled": true,
      "trigger": "message.received",
      "conditions": "text",
      "actions": "text",
      "firedCount": 1,
      "lastFiredAt": "2026-10-22T12:00:00.000Z"
    },
    "revision": 1,
    "fires": [
      {
        "id": "00000000-0000-4000-8000-000000000000",
        "event_id": "00000000-0000-4000-8000-000000000000",
        "subject": "text",
        "depth": 1,
        "status": "text",
        "detail": "text",
        "created_at": "2026-10-22T12:00:00.000Z"
      }
    ]
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "rules.get". Tool name when listed: rules_get.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0